Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xs
Class XSComplexTypeDecl

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSComplexTypeDecl

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition, weblogic.apache.xerces.impl.xs.psvi.XSObject, weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition, XSTypeDecl

Deprecated. please use JDK supplied XML parsers and transformers

    public class XSComplexTypeDecl

extends Object
implements XSTypeDecl, weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition

The XML representation for a complexType schema component is a element information item

Field Summary

Fields inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Fields inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition
`CONTENTTYPE_ELEMENT, CONTENTTYPE_EMPTY, CONTENTTYPE_MIXED, CONTENTTYPE_SIMPLE`

Fields inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Constructor Summary
`XSComplexTypeDecl()` Deprecated.

Method Summary
`boolean` | `containsTypeID()` Deprecated.
`boolean` | `derivedFrom(String ancestorNS, String ancestorName)` Deprecated. Experimental: return whether this type is derived from a type of the given namespace name and type name.
`boolean` | `derivedFrom(weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition ancestor)` Deprecated. Experimental: return whether this type is derived from a given type.
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getAnnotations()` Deprecated. Optional.
`XSAttributeGroupDecl` | `getAttrGrp()` Deprecated.
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getAttributeUses()` Deprecated. {attribute uses} A set of attribute uses.
`weblogic.apache.xerces.impl.xs.psvi.XSWildcard` | `getAttributeWildcard()` Deprecated. {attribute wildcard} Optional.
`weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `getBaseType()` Deprecated. {base type definition} Either a simple type definition or a complex type definition.
`weblogic.apache.xerces.impl.xs.models.XSCMValidator` | `getContentModel(weblogic.apache.xerces.impl.xs.models.CMBuilder cmBuilder)` Deprecated.
`short` | `getContentType()` Deprecated. {content type} One of empty, a simple type definition (see `simpleType`, or mixed, element-only (see `cmParticle`).
`short` | `getDerivationMethod()` Deprecated. {derivation method} Either extension or restriction.
`short` | `getFinal()` Deprecated. {final} For complex type definition it is a subset of {extension, restriction}.
`short` | `getFinalSet()` Deprecated.
`boolean` | `getIsAbstract()` Deprecated. {abstract} A boolean.
`boolean` | `getIsAnonymous()` Deprecated. A boolean that specifies if the type definition is anonymous.
`boolean` | `getIsFinal(short derivation)` Deprecated. {final} For complex type definition it is a subset of {extension, restriction}.
`boolean` | `getIsProhibitedSubstitution(short prohibited)` Deprecated. {prohibited substitutions} A subset of {extension, restriction}.
`String` | `getName()` Deprecated. The `name` of this `XSObject` depending on the `XSObject` type.
`String` | `getNamespace()` Deprecated. The namespace URI of this node, or `null` if it is unspecified.
`weblogic.apache.xerces.impl.xs.psvi.XSParticle` | `getParticle()` Deprecated. A particle for mixed or element-only content model, otherwise `null`
`short` | `getProhibitedSubstitutions()` Deprecated. {prohibited substitutions}
`weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `getSimpleType()` Deprecated. A simple type definition corresponding to simple content model, otherwise `null`
`String` | `getTargetNamespace()` Deprecated.
`short` | `getType()` Deprecated. Get the type of the object, i.e ELEMENT_DECLARATION.
`short` | `getTypeCategory()` Deprecated.
`String` | `getTypeName()` Deprecated.
`void` | `reset()` Deprecated.
`void` | `setContainsTypeID()` Deprecated.
`void` | `setIsAbstractType()` Deprecated.
`void` | `setIsAnonymous()` Deprecated.
`void` | `setName(String name)` Deprecated.
`void` | `setValues(String name, String targetNamespace, XSTypeDecl baseType, short derivedBy, short schemaFinal, short block, short contentType, boolean isAbstract, XSAttributeGroupDecl attrGrp, XSSimpleType simpleType, XSParticleDecl particle)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSComplexTypeDecl

    public XSComplexTypeDecl()

  Deprecated.

Method Detail

### setValues

    public void setValues(String name,
                          String targetNamespace,
                          XSTypeDecl baseType,
                          short derivedBy,
                          short schemaFinal,
                          short block,
                          short contentType,
                          boolean isAbstract,
                          XSAttributeGroupDecl attrGrp,
                          XSSimpleType simpleType,
                          XSParticleDecl particle)

  Deprecated.

### setName

    public void setName(String name)

  Deprecated.

### getTypeCategory

    public short getTypeCategory()

  Deprecated.
  Specified by:
    `getTypeCategory` in interface `weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition`

### getTypeName

    public String getTypeName()

  Deprecated.

### getFinalSet

    public short getFinalSet()

  Deprecated.

### getTargetNamespace

    public String getTargetNamespace()

  Deprecated.

### containsTypeID

    public boolean containsTypeID()

  Deprecated.

### setIsAbstractType

    public void setIsAbstractType()

  Deprecated.

### setContainsTypeID

    public void setContainsTypeID()

  Deprecated.

### setIsAnonymous

    public void setIsAnonymous()

  Deprecated.

### getContentModel

    public weblogic.apache.xerces.impl.xs.models.XSCMValidator getContentModel(weblogic.apache.xerces.impl.xs.models.CMBuilder cmBuilder)

  Deprecated.

### getAttrGrp

    public XSAttributeGroupDecl getAttrGrp()

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### derivedFrom

    public boolean derivedFrom(weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition ancestor)

  Deprecated.
  Description copied from interface: `XSTypeDecl`
  Experimental: return whether this type is derived from a given type.

  Specified by:
    `derivedFrom` in interface `XSTypeDecl`

### derivedFrom

    public boolean derivedFrom(String ancestorNS,
                               String ancestorName)

  Deprecated.
  Description copied from interface: `XSTypeDecl`
  Experimental: return whether this type is derived from a type of the given namespace name and type name.

  Specified by:
    `derivedFrom` in interface `XSTypeDecl`

### reset

    public void reset()

  Deprecated.

### getType

    public short getType()

  Deprecated.
  Get the type of the object, i.e ELEMENT_DECLARATION.

  Specified by:
    `getType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getName

    public String getName()

  Deprecated.
  The `name` of this `XSObject` depending on the `XSObject` type.

  Specified by:
    `getName` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getIsAnonymous

    public boolean getIsAnonymous()

  Deprecated.
  A boolean that specifies if the type definition is anonymous. Convenience attribute. This is a field is not part of XML Schema component model.

  Specified by:
    `getIsAnonymous` in interface `weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition`

### getNamespace

    public String getNamespace()

  Deprecated.
  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

  Specified by:
    `getNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSObject`

### getBaseType

    public weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition getBaseType()

  Deprecated.
  {base type definition} Either a simple type definition or a complex type definition.

  Specified by:
    `getBaseType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition`

### getDerivationMethod

    public short getDerivationMethod()

  Deprecated.
  {derivation method} Either extension or restriction. The valid constant value for this `XSConstants` EXTENTION, RESTRICTION.

  Specified by:
    `getDerivationMethod` in interface `weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition`

### getIsFinal

    public boolean getIsFinal(short derivation)

  Deprecated.
  {final} For complex type definition it is a subset of {extension, restriction}. For simple type definition it is a subset of {extension, list, restriction, union}.

  Specified by:
    `getIsFinal` in interface `weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition`
  Parameters:
    `derivation` - Extension, restriction, list, union constants (defined in `XSConstants`).
  Returns:
    True if derivation is in the final set, otherwise false.

### getFinal

    public short getFinal()

  Deprecated.
  {final} For complex type definition it is a subset of {extension, restriction}.

  Specified by:
    `getFinal` in interface `weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition`
  Returns:
    A bit flag that represents: {extension, restriction) or none for complexTypes; {extension, list, restriction, union} or none for simpleTypes;

### getIsAbstract

    public boolean getIsAbstract()

  Deprecated.
  {abstract} A boolean. Complex types for which {abstract} is true must not be used as the {type definition} for the validation of element information items.

  Specified by:
    `getIsAbstract` in interface `weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition`

### getAttributeUses

    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getAttributeUses()

  Deprecated.
  {attribute uses} A set of attribute uses.

  Specified by:
    `getAttributeUses` in interface `weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition`

### getAttributeWildcard

    public weblogic.apache.xerces.impl.xs.psvi.XSWildcard getAttributeWildcard()

  Deprecated.
  {attribute wildcard} Optional. A wildcard.

  Specified by:
    `getAttributeWildcard` in interface `weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition`

### getContentType

    public short getContentType()

  Deprecated.
  {content type} One of empty, a simple type definition (see `simpleType`, or mixed, element-only (see `cmParticle`).

  Specified by:
    `getContentType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition`

### getSimpleType

    public weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition getSimpleType()

  Deprecated.
  A simple type definition corresponding to simple content model, otherwise `null`

  Specified by:
    `getSimpleType` in interface `weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition`

### getParticle

    public weblogic.apache.xerces.impl.xs.psvi.XSParticle getParticle()

  Deprecated.
  A particle for mixed or element-only content model, otherwise `null`

  Specified by:
    `getParticle` in interface `weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition`

### getIsProhibitedSubstitution

    public boolean getIsProhibitedSubstitution(short prohibited)

  Deprecated.
  {prohibited substitutions} A subset of {extension, restriction}.

  Specified by:
    `getIsProhibitedSubstitution` in interface `weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition`
  Parameters:
    `prohibited` - extention or restriction constants (defined in `XSConstants`).
  Returns:
    True if prohibited is a prohibited substitution, otherwise false.

### getProhibitedSubstitutions

    public short getProhibitedSubstitutions()

  Deprecated.
  {prohibited substitutions}

  Specified by:
    `getProhibitedSubstitutions` in interface `weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition`
  Returns:
    A bit flag corresponding to prohibited substitutions

### getAnnotations

    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getAnnotations()

  Deprecated.
  Optional. Annotation.

  Specified by:
    `getAnnotations` in interface `weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD